%define majver %(echo %version | cut -d. -f1-2)
Name:          pipewire
Version:       0.3.12
Release:       1mamba
Summary:       Multimedia processing graphs
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pipewire.org
## GITSOURCE https://github.com/PipeWire/pipewire.git 0.2.6
Source:        https://github.com/PipeWire/pipewire.git/%{version}/pipewire-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libalsa-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libjack-devel
BuildRequires: libpipewire02-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsbc-devel
BuildRequires: libsndfile-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: libvulkan-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Multimedia processing graphs.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%define _use_internal_dependency_generator 0

%define __find_provides %{_builddir}/pipewire-%{version}/find_provides.sh
cat > %{_builddir}/pipewire-%{version}/find_provides.sh <<_EOF
#! /bin/sh
grep -v %{_libdir}/pipewire-%{majver} | \
%{_prefix}/lib/rpm/find-provides %{buildroot} %{_target_cpu}
_EOF
chmod +x %{_builddir}/pipewire-%{version}/find_provides.sh

%define __find_requires %{_builddir}/pipewire-%{version}/find_requires.sh
cat > %{_builddir}/pipewire-%{version}/find_requires.sh <<_EOF
#! /bin/sh
%{_prefix}/lib/rpm/find-requires %{buildroot} %{_target_cpu} 2>/dev/null
_EOF
chmod +x %{_builddir}/pipewire-%{version}/find_requires.sh

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/pipewire/pipewire.conf
%{_bindir}/pipewire
%{_bindir}/pipewire-media-session
%{_bindir}/pw-*
%{_bindir}/spa-inspect
%{_bindir}/spa-monitor
%{_userunitdir}/pipewire.service
%{_userunitdir}/pipewire.socket
%{_udevrulesdir}/90-pipewire-alsa.rules
%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf
%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf
%dir %{_datadir}/alsa-card-profile
%dir %{_datadir}/alsa-card-profile/mixer
%dir %{_datadir}/alsa-card-profile/mixer/paths
%{_datadir}/alsa-card-profile/mixer/paths/*
%dir %{_datadir}/alsa-card-profile/mixer/profile-sets
%{_datadir}/alsa-card-profile/mixer/profile-sets/*
%{_mandir}/man1/pipewire.1*
%{_mandir}/man1/pw-*.1*
%{_mandir}/man5/pipewire.conf.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpipewire-*.so.*
%dir %{_libdir}/pipewire-%{majver}
%dir %{_libdir}/pipewire-%{majver}/jack
%{_libdir}/pipewire-%{majver}/jack/libjack*.so*
%dir %{_libdir}/pipewire-%{majver}/pulse
%{_libdir}/pipewire-%{majver}/pulse/libpulse*.so*
%{_libdir}/pipewire-%{majver}/libpipewire-module-*.so
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so
%{_libdir}/alsa-lib/libasound_module_ctl_pipewire.so
%{_libdir}/gstreamer-1.0/libgstpipewire.so
%dir %{_libdir}/spa-*
%{_libdir}/spa-*/*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pipewire-*
%{_includedir}/pipewire-*/*
%dir %{_includedir}/spa-*
%{_includedir}/spa-*/*
%{_libdir}/libpipewire-*.so
%{_libdir}/pkgconfig/libpipewire-*.pc
%{_libdir}/pkgconfig/libspa-*.pc
%doc NEWS

%changelog
* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 0.3.11-1mamba
- automatic version update by autodist

* Mon Aug 24 2020 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Sun Jul 26 2020 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic version update by autodist

* Sun May 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.4-2mamba
- remove provides for internal libjack and libpulse

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 0.3.4-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- package created using the webbuild interface
